Subject: Re: [PATCH] gitweb: Add support for grep searches

From: Jakub Narebski <[email-masked]>
Date: Thu, 17 May 2007 11:00:10 +0200

Petr Baudis wrote:

> This second revision makes it in documentation explicit that grep accepts
> regexps, and makes grep accept extended regexps instead of basic regexps.

I have thought about adding "[ ] regular expression" (or "Perl
extended regexp", or something like that) checkbox for all searches:
'commit' (message), 'pickaxe' and the new 'grep'.

I have thought also about replaceing pickaxe search pipeline by
  git log --pretty=format:%H -r --no-abbrev --raw -S<search> <hash>
but I'm not sure if pager would be turned off, and of performance
compared to current pipeline:
  git rev-list <hash> | git diff-tree -r --stdin -S<search>

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git